include "..\common_def.mm";
include "propagate_def.mm";

read(rdb1, TripleParser, "rdb_generated.ddl"); // original relational schema
read(xsd1, TripleParser, "xsd_generated.xml"); // manually postprocessed model
read(rdb1_xsd1, TripleParser, "rdb-xsd_generated.map");
read(rdb2, SQLDDL2Obj, "rdb_modified.ddl");

(xsd2, rdb2_xsd2) = SQLDDL2XSD(rdb2); // conversion

if(YesNo("Be verbose?"))
  (xsd1, rdb1_xsd1) = PropagateChangesVerbose(rdb1, xsd1, rdb1_xsd1,
                                              rdb2, xsd2, rdb2_xsd2);
else
  (xsd1, rdb1_xsd1) = PropagateChanges(rdb1, xsd1, rdb1_xsd1,
                                       rdb2, xsd2, rdb2_xsd2);

if(YesNo("Store changes?")) {

  write(rdb2, TripleSerializer, "rdb_generated.ddl");
  write(rdb1_xsd1, TripleSerializer, "rdb-xsd_generated.map");
  write(xsd1, TripleSerializer, "xsd_generated.xml");
  // Uncomment to write out the resulting schema in XSD format
  // write(xsd1, Obj2XSD, "xsd-result.xml");
}
