CREATE TABLE ORDERS (
  OrderID int PRIMARY KEY,
  OrderDate date,
  EmployeeID int,
  CustomerID int,
  PONum int,
  SalesTaxRate double,
  UNIQUE dateNum (OrderDate, PONum)
);

CREATE TABLE ORDER_DETAILS (
  OrderDetailID int PRIMARY KEY,
  OrderID int REFERENCES ORDERS,
  ProductID int REFERENCES PRODUCTS,
  Quantity double,
  UnitPrice int,
  Discount double
);

CREATE TABLE PRODUCTS (
  ProductID int  PRIMARY KEY,
  ProductName string,
  Brand string
);
