CREATE TABLE ORDERS (
  OrderID int PRIMARY KEY,
  OrderDate date,
  EmployeeID int REFERENCES EMPLOYEES,
  CustomerID int,
  SalesTaxRate double,
  ShipDate date,
  FreightCharge double,
  Rebate double
);

CREATE TABLE ORDER_DETAILS (
  OrderDetailID int PRIMARY KEY,
  OrderID int REFERENCES ORDERS,
  ProductID int REFERENCES PRODUCTS,
  Quantity double,
  Discount double
);

CREATE TABLE PRODUCTS (
  ProductID int  PRIMARY KEY,
  ProductName string,
  Brand string,
  ProductDesc string
);

CREATE TABLE EMPLOYEES (
  EmployeeID int  PRIMARY KEY,
  FirstName string,
  LastName string
);
